MonoDevelop on FC6

C. Ed Felt ed at thefelts.net
Mon Apr 16 16:44:00 MDT 2007


   Michael L Torrie wrote:

On Wed, 2007-04-11 at 10:39 -0600, C. Ed Felt wrote:
  

   Fellow LUG supporters who develop in MONO:
   In the interest of moving from being Microsoft .Net developers to MONO
   developers, my colleague and I have been trying to use MonoDevelop on
   FC6, (we just "yummed" everything).  The issue we are running in to is
   that it does not seem to be able to find any of the libraries needed
   to compile and run mono developed applications.  Of course the MONO
   libraries are there (several FC6 apps use it).  All of the
   recommendations we are finding  is to just use a different distro.  We
   prefer Fedora Core, so the change would be a bit painful.  Any
   suggestions?
    

Did you install the "devel" and "gapi" packages?

I can build mono apps just fine on my system (gtk# and winforms).  What
problems are you seeing?  I'm using stock FC6 packages.

Winforms is still not complete, and any apps that use pinvoke (many .net
apps, especially in-house ones) won't work.


  

   --

   Thank You,

   C. Ed Felt
   (801) 766-8433 (home)
   (801) 420-8879 (cell)
   [[1]1]ed at thefelts.net
   chat: edeefelt(aim), edeefelt (yahoo), [[2]2]edeefelt at hotmail.com (msn)
   [3][3]http://www.thefelts.net

References

   1. [4]mailto:ed at thefelts.net
   2. [5]mailto:edeefelt at hotmail.com
   3. [6]http://www.thefelts.net/

/*
PLUG: [7]http://plug.org, #utah on irc.freenode.net
Unsubscribe: [8]http://plug.org/mailman/options/plug
Don't fear the penguin.
*/




/*
PLUG: [9]http://plug.org, #utah on irc.freenode.net
Unsubscribe: [10]http://plug.org/mailman/options/plug
Don't fear the penguin.
*/



   It looks like we have all the packages we need.  It seems to be the
   IDE can't find them:
   This is a stock fc6 install, yum install monodevelop
   It doesn't seem to be able to find the Gtk library.
   Here is the error message.
   Task:File=/home/ggerber/Projects/Test/Test/MainWindow.cs, Line=2,
   Column=1, Type=Error, Description=The type or namespace name `Gtk'
   could not be found. Are you missing a using directive or an assembly
   reference?(CS0246)
   Packages we have installed:
   [ggerber at slfpfc6 ~]$ rpm -qa | grep monodevel
   monodevelop-0.12-7.fc6
   [ggerber at slfpfc6 ~]$ rpm -qa | grep gapi
   gtk-sharp2-gapi-2.10.0-3.fc6
   [ggerber at slfpfc6 ~]$
   Any mono gurus that can offer suggestions for our setup or IDE?

   --

   Thank You,

   C. Ed Felt
   (801) 766-8433 (home)
   (801) 420-8879 (cell)
   [11]ed at thefelts.net
   chat: edeefelt(aim), edeefelt (yahoo), [12]edeefelt at hotmail.com (msn)
   [13]http://www.thefelts.net

References

   1. mailto:1]ed at thefelts.net
   2. mailto:2]edeefelt at hotmail.com
   3. http://www.thefelts.net/
   4. mailto:ed at thefelts.net
   5. mailto:edeefelt at hotmail.com
   6. http://www.thefelts.net/
   7. http://plug.org/
   8. http://plug.org/mailman/options/plug
   9. http://plug.org/
  10. http://plug.org/mailman/options/plug
  11. mailto:ed at thefelts.net
  12. mailto:edeefelt at hotmail.com
  13. http://www.thefelts.net/



More information about the PLUG mailing list